Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class ASCIIHexFilter

    java.lang.Object
      org.apache.fop.pdf.PDFFilter
          org.apache.fop.pdf.ASCIIHexFilter

    public class ASCIIHexFilter

extends PDFFilter

ASCII Hex filter for PDF streams. This filter converts a pdf stream to ASCII hex data.

Constructor Summary
`ASCIIHexFilter()`

Method Summary
`java.io.OutputStream` | `applyFilter(java.io.OutputStream out)` Applies a filter to an OutputStream.
`PDFObject` | `getDecodeParms()` Get the decode params.
`java.lang.String` | `getName()` Get the name of this filter.
`boolean` | `isASCIIFilter()` Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.

Methods inherited from class org.apache.fop.pdf.PDFFilter
`isApplied, setApplied`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASCIIHexFilter

    public ASCIIHexFilter()

Method Detail

### getName

    public java.lang.String getName()

  Get the name of this filter.

  Specified by:
    `getName` in class `PDFFilter`
  Returns:
    the name of this filter for pdf

### isASCIIFilter

    public boolean isASCIIFilter()

  Returns true if the filter is an ASCII filter that isn't necessary when encryption is active.

  Overrides:
    `isASCIIFilter` in class `PDFFilter`
  Returns:
    boolean True if this filter is an ASCII filter

### getDecodeParms

    public PDFObject getDecodeParms()

  Get the decode params.

  Specified by:
    `getDecodeParms` in class `PDFFilter`
  Returns:
    always null

### applyFilter

    public java.io.OutputStream applyFilter(java.io.OutputStream out)
                                     throws java.io.IOException

  Applies a filter to an OutputStream.

  Specified by:
    `applyFilter` in class `PDFFilter`
  Parameters:
    `out` - contents to be filtered
  Returns:
    OutputStream filtered contents
  Throws:
    `java.io.IOException` - In case of an I/O problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.